#
# To test GitLab4J-API, you must have access to a GitLab server.  The Maven pom.xml
# for this library is set up to auto launch a gitlab-ce Docker image when running
# integration tests.
#
# If you wish to use an existing instance of a GitLab server to run integration tests
# against, copy this file to ~/test-gitlab4j.properties and set the property
# values to match the GitLab server you wish to test against.

# This is the URL for the docker instance of gitlab-ce that is started for integration tests.
# You can change this to an existing GitLab server if desired.
TEST_HOST_URL=http://localhost:8090

# To stop the auto-creation of access tokens, you can set these to pre-configured values
# TEST_PRIVATE_TOKEN=xxxxxxxx
# TEST_ACCESS_TOKEN=xxxxxxxx

# When integration tests are ran this is automatically fetched from the GitLab server,
# Set it here and this value will be used instead
# TEST_HEALTH_CHECK_TOKEN=xxxxxxxxxxx

# This specifies the user that will be utilized to access the GitLab server for all API calls
# during integration testing, this user will be created if it does not exist
TEST_LOGIN_USERNAME=gitlab4j
TEST_LOGIN_PASSWORD=ChangeMeNow

# This specifies the default project to test against and the owner of that project, change
# this if you'd like to test against a different project
TEST_PROJECT_NAME=test-project
TEST_USERNAME=gitlab4j

# This specifies the default external provider to test against and the user served by this provider, change
# this if you'd like to test against a different project
TEST_EXTERNAL_PROVIDER=github
TEST_EXTERNAL_UID=2435223452345


# This is the user to test sudo, block, and project transfer.  If the user does not exist
# it will be created during integration testing
TEST_SUDO_AS_USERNAME=user1
TEST_BLOCK_USERNAME=user1
TEST_XFER_NAMESPACE=user1
TEST_REQUEST_ACCESS_USERNAME=user1

# This specifies the group, a project owned by the specified group, a username, and a sub-group to 
# test group membership functionality
TEST_GROUP=test-group
TEST_GROUP_PROJECT=test-group-project
TEST_GROUP_MEMBER_USERNAME=user1
TEST_SUB_GROUP=subgroup

# OPTIONAL: To test using GitLab4J-API with a proxy, set the following properties
TEST_PROXY_URI=
TEST_PROXY_USERNAME=
TEST_PROXY_PASSWORD=

